"use strict";
var querystring_1 = require('querystring');
exports.textTypes = ['text', 'json', 'urlencoded'];
var PROTECTION_PREFIX = /^\)\]\}',?\n/;
function parse(request, value, type) {
    if (type === 'text') {
        return value;
    }
    if (value === '') {
        return null;
    }
    if (type === 'json') {
        try {
            return JSON.parse(value.replace(PROTECTION_PREFIX, ''));
        }
        catch (err) {
            throw request.error("Unable to parse response body: " + err.message, 'EPARSE', err);
        }
    }
    if (type === 'urlencoded') {
        return querystring_1.parse(value);
    }
    throw new TypeError("Unable to parse type: " + type);
}
exports.parse = parse;
//# sourceMappingURL=utils.js.map